import Document from './document';
import { ObjectBase } from '@tomei/general';
export default class DocumentItem extends ObjectBase {
    DocumentItemId: string;
    DocNo: string;
    Name: string;
    NameBM: string;
    Description?: string;
    ItemId: string;
    ItemType: string;
    ItemSKU: string;
    ItemSerialNo: string;
    Currency: string;
    UnitPrice: number;
    Quantity: number;
    QuantityUOM: string;
    private _Amount;
    TaxCode: string;
    TaxAmount: number;
    TaxRate: number;
    TaxInclusiveYN: string;
    DtAccountNo: string;
    CtAccountNo: string;
    private static _RepositoryBase;
    private _DbTransaction;
    private _Document;
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    get Document(): Document;
    set Document(document: Document);
    get DbTransaction(): any;
    set DbTransaction(dbTransaction: any);
    get Amount(): number;
    set Amount(amount: number);
    constructor(dbTransaction: any, document: Document);
    init(data: any): void;
}
