import { Model } from 'sequelize-typescript';
import DocumentModel from './document.entity';
import AccountModel from './account.entity';
export default class DocumentItemModel extends Model {
    DocumentItemId: string;
    DocNo: string;
    Name: string;
    NameBM: string;
    Description: string;
    ItemId: string;
    ItemType: string;
    ItemSKU: string;
    ItemSerialNo: string;
    Currency: string;
    UnitPrice: number;
    Quantity: number;
    QuantityUOM: string;
    Amount: number;
    TaxCode: string;
    TaxAmount: number;
    TaxRate: number;
    TaxInclusiveYN: string;
    DtAccountNo: string;
    CtAccountNo: string;
    Document: DocumentModel;
    Account: AccountModel;
}
