import { Model } from 'sequelize-typescript';
import { DocType, DocumentStatus } from '../enum';
import FinanceCompanyModel from './finance-company.entity';
import DocumentItemModel from './document-item.entity';
export default class DocumentModel extends Model {
    DocNo: string;
    DocType: DocType;
    DocDate: Date;
    CompanyId: string;
    Currency: string;
    Amount: number;
    Description: string;
    Status: DocumentStatus;
    IssuedById: string;
    IssuedToId: string;
    IssuedToType: string;
    RelatedObjectId: string;
    RelatedObjectType: string;
    CreatedById: string;
    CreatedAt: Date;
    UpdatedById: string;
    UpdatedAt: Date;
    DocPDFFileMediaId: string;
    DocHTMLFileMediaId: string;
    AccSystemRefId: string;
    PostedToAccSystemYN: string;
    PostedById: string;
    PostedDateTime: Date;
    UseAccSystemDocYN: string;
    DocumentItems: DocumentItemModel[];
    FinanceCompany: FinanceCompanyModel;
}
