import { Model } from 'sequelize-typescript';
import LedgerTransactionModel from './ledger-transaction.entity';
import FinanceCompanyModel from './finance-company.entity';
export default class JournalEntryModel extends Model {
    CompanyId: string;
    JournalEntryId: string;
    Date: Date;
    Name: string;
    Description: string;
    AccSystemRefId: string;
    PostedToAccSystemYN: string;
    PostedById: string;
    PostedDateTime: Date;
    LedgerTransactions: LedgerTransactionModel[];
    FinanceCompany: FinanceCompanyModel;
}
