"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const payment_method_type_entity_1 = require("./payment-method-type.entity");
const finance_company_entity_1 = require("./finance-company.entity");
let PaymentMethodModel = class PaymentMethodModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentMethodModel.prototype, "MethodId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'cash' }),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(100),
    }),
    __metadata("design:type", String)
], PaymentMethodModel.prototype, "Name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        example: 'EZC',
        description: 'CompanyId',
    }),
    (0, sequelize_typescript_1.ForeignKey)(() => finance_company_entity_1.default),
    (0, sequelize_typescript_1.Column)({
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], PaymentMethodModel.prototype, "CompanyId", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => payment_method_type_entity_1.default),
    __metadata("design:type", Array)
], PaymentMethodModel.prototype, "PaymentMethodType", void 0);
__decorate([
    (0, sequelize_typescript_1.BelongsTo)(() => finance_company_entity_1.default),
    __metadata("design:type", finance_company_entity_1.default)
], PaymentMethodModel.prototype, "FinanceCompany", void 0);
PaymentMethodModel = __decorate([
    (0, sequelize_typescript_1.Table)({
        tableName: 'finance_PaymentMethod',
        createdAt: false,
        updatedAt: false,
    })
], PaymentMethodModel);
exports.default = PaymentMethodModel;
//# sourceMappingURL=payment-method.entity.js.map