import { Model } from 'sequelize-typescript';
import { PaymentType, PaymentStatus } from '../enum';
import PaymentItemModel from './payment-item.entity';
export default class PaymentModel extends Model {
    PaymentId: string;
    PaymentType: PaymentType;
    PaymentDate: Date;
    Description: string;
    Currency: string;
    Amount: number;
    Status: PaymentStatus;
    ReceivedBy: string;
    UpdatedAt: Date;
    UpdatedBy: string;
    Remarks: string;
    AccSystemRefId: string;
    PostedToAccSystemYN: string;
    PostedById: string;
    PostedDateTime: Date;
    PaymentItems: PaymentItemModel[];
}
