import { ObjectBase } from '@tomei/general';
import Payment from '../payment/payment';
export default class PaymentItem extends ObjectBase {
    private _PaymentId;
    private _PayForObjectId;
    private _PayForObjectType;
    Currency: string;
    Amount: number;
    Name: string;
    Description: string;
    Remarks: string;
    get PaymentId(): string;
    private set PaymentId(value);
    get PayForObjectId(): string;
    private set PayForObjectId(value);
    get PayForObjectType(): string;
    private set PayForObjectType(value);
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    constructor(payment: Payment, objectBeingPaidFor: ObjectBase);
}
