import { ObjectBase } from '@tomei/general';
import { PaymentStatus } from '../enum';
import Payment from '../payment/payment';
export default class PaymentPaidWith extends ObjectBase {
    private _PaymentId;
    private _MethodTypeId;
    Currency: string;
    Amount: number;
    Status: PaymentStatus;
    TransactionId: string;
    RefBank: string;
    RefName: string;
    RefNo: string;
    RefOther1: string;
    RefOther2: string;
    RefOther3: string;
    RefOther4: string;
    RefOther5: string;
    Remarks: string;
    PaymentMediaId: string;
    private static _RepositoryBase;
    get PaymentId(): string;
    set PaymentId(id: string);
    get MethodTypeId(): string;
    set MethodTypeId(id: string);
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    constructor(payment: Payment, paymentMethodTypeId: string);
}
