"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const general_1 = require("@tomei/general");
const payment_paid_with_repository_1 = require("./payment-paid-with.repository");
class PaymentPaidWith extends general_1.ObjectBase {
    get PaymentId() {
        return this._PaymentId;
    }
    set PaymentId(id) {
        this._PaymentId = id;
    }
    get MethodTypeId() {
        return this._MethodTypeId;
    }
    set MethodTypeId(id) {
        this._MethodTypeId = id;
    }
    get ObjectId() {
        return '';
    }
    get ObjectName() {
        return '';
    }
    get TableName() {
        return 'finance_PaymentPaidWith';
    }
    constructor(payment, paymentMethodTypeId) {
        super();
        this._PaymentId = '';
        this._MethodTypeId = '';
        this.Currency = 'MYR';
        this.Amount = 0;
        this.TransactionId = '';
        this.RefBank = '';
        this.RefName = '';
        this.RefNo = '';
        this.RefOther1 = '';
        this.RefOther2 = '';
        this.RefOther3 = '';
        this.RefOther4 = '';
        this.RefOther5 = '';
        this.Remarks = '';
        this.PaymentMediaId = '';
        this.PaymentId = payment.PaymentId;
        this.MethodTypeId = paymentMethodTypeId;
    }
}
exports.default = PaymentPaidWith;
PaymentPaidWith._RepositoryBase = new payment_paid_with_repository_1.PaymentPaidWithRepository();
//# sourceMappingURL=payment-paid-with.js.map