import { Sequelize, SequelizeOptions } from 'sequelize-typescript';

let sequelize: Sequelize;

function init(sequelizeOptions: SequelizeOptions) {
  sequelize = new Sequelize(sequelizeOptions);

  sequelize.addModels([__dirname + '/models']);
}

function getConnection() {
  return sequelize;
}

export { init, getConnection };
