"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientScopes = void 0;
const OAuthClient = require("intuit-oauth");
var ClientScopes;
(function (ClientScopes) {
    ClientScopes[ClientScopes["ACCOUNTING"] = OAuthClient.scopes.Accounting] = "ACCOUNTING";
    ClientScopes[ClientScopes["PAYMENT"] = OAuthClient.scopes.Payment] = "PAYMENT";
    ClientScopes[ClientScopes["PAYROLL"] = OAuthClient.scopes.Payroll] = "PAYROLL";
    ClientScopes[ClientScopes["TIMETRACKING"] = OAuthClient.scopes.TimeTracking] = "TIMETRACKING";
    ClientScopes[ClientScopes["BENEFITS"] = OAuthClient.scopes.Benefits] = "BENEFITS";
    ClientScopes[ClientScopes["PROFILE"] = OAuthClient.scopes.Profile] = "PROFILE";
    ClientScopes[ClientScopes["EMAIL"] = OAuthClient.scopes.Email] = "EMAIL";
    ClientScopes[ClientScopes["PHONE"] = OAuthClient.scopes.Phone] = "PHONE";
    ClientScopes[ClientScopes["ADDRESS"] = OAuthClient.scopes.Address] = "ADDRESS";
    ClientScopes[ClientScopes["OPENID"] = OAuthClient.scopes.OpenId] = "OPENID";
    ClientScopes[ClientScopes["INTUIT_NAME"] = OAuthClient.scopes.Intuit_name] = "INTUIT_NAME";
})(ClientScopes = exports.ClientScopes || (exports.ClientScopes = {}));
//# sourceMappingURL=quick-book-client-scopes.enum.js.map