"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
const customer_entity_1 = require("./customer.entity");
let FinanceCompanyModel = class FinanceCompanyModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({ primaryKey: true, allowNull: false, type: sequelize_typescript_1.DataType.STRING(30) }),
    __metadata("design:type", String)
], FinanceCompanyModel.prototype, "CompanyId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'AB' }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(10) }),
    __metadata("design:type", String)
], FinanceCompanyModel.prototype, "CompSystemCode", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'cl6nzvo780000qcw38ihpd8w6' }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(30) }),
    __metadata("design:type", String)
], FinanceCompanyModel.prototype, "CompSystemRefId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ example: 'AB' }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(10) }),
    __metadata("design:type", String)
], FinanceCompanyModel.prototype, "AccSystemCode", void 0);
__decorate([
    (0, sequelize_typescript_1.HasMany)(() => customer_entity_1.default),
    __metadata("design:type", Array)
], FinanceCompanyModel.prototype, "FinanceCustomers", void 0);
FinanceCompanyModel = __decorate([
    (0, sequelize_typescript_1.Table)({ tableName: 'finance_Company', createdAt: false, updatedAt: false })
], FinanceCompanyModel);
exports.default = FinanceCompanyModel;
//# sourceMappingURL=finance-company.entity.js.map