import { Model } from 'sequelize-typescript';
import { PaymentStatus } from '../enum';
import PaymentMethodTypeModel from './payment-method-type.entity';
import PaymentModel from './payment.entity';
export default class PaymentPaidWithModel extends Model {
    PaymentId: string;
    MethodTypeId: string;
    Currency: string;
    Amount: number;
    Status: PaymentStatus;
    TransactionId: string;
    RefBank: string;
    RefName: string;
    RefNo: string;
    RefOther1: string;
    RefOther2: string;
    RefOther3: string;
    RefOther4: string;
    RefOther5: string;
    Remarks: string;
    PaymentMediaId: string;
    Payment: PaymentModel;
    PaymentMethodType: PaymentMethodTypeModel;
}
