"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const swagger_1 = require("@nestjs/swagger");
const sequelize_typescript_1 = require("sequelize-typescript");
let FinancePostHistoryModel = class FinancePostHistoryModel extends sequelize_typescript_1.Model {
};
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'PostId' }),
    (0, sequelize_typescript_1.Column)({
        primaryKey: true,
        allowNull: false,
        type: sequelize_typescript_1.DataType.STRING(30),
    }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "PostId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: Date }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.DATE }),
    __metadata("design:type", Date)
], FinancePostHistoryModel.prototype, "DateTime", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'ItemId' }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(30) }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "ItemId", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'ItemType' }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(200) }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "ItemType", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: String, description: 'ItemValue' }),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.JSON }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "ItemValue", void 0);
__decorate([
    (0, swagger_1.ApiProperty)(),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(30) }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "PostedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)(),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(10) }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "AccSystemCode", void 0);
__decorate([
    (0, swagger_1.ApiProperty)(),
    (0, sequelize_typescript_1.Column)({ allowNull: false, type: sequelize_typescript_1.DataType.STRING(30) }),
    __metadata("design:type", String)
], FinancePostHistoryModel.prototype, "AccSystemRefId", void 0);
FinancePostHistoryModel = __decorate([
    (0, sequelize_typescript_1.Table)({ tableName: 'finance_PostHistory', createdAt: false, updatedAt: false })
], FinancePostHistoryModel);
exports.default = FinancePostHistoryModel;
//# sourceMappingURL=post-history.entity.js.map