"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const general_1 = require("@tomei/general");
const typeof_1 = require("../helpers/typeof");
class PaymentItem extends general_1.ObjectBase {
    get PaymentId() {
        return this._PaymentId;
    }
    set PaymentId(id) {
        this._PaymentId = id;
    }
    get PayForObjectId() {
        return this._PayForObjectId;
    }
    set PayForObjectId(id) {
        this._PayForObjectId = id;
    }
    get PayForObjectType() {
        return this._PayForObjectType;
    }
    set PayForObjectType(type) {
        this._PayForObjectType = type;
    }
    get ObjectId() {
        return '';
    }
    get ObjectName() {
        return '';
    }
    get TableName() {
        return 'finance_PaymentItem';
    }
    constructor(payment, objectBeingPaidFor) {
        super();
        this._PaymentId = '';
        this._PayForObjectId = '';
        this._PayForObjectType = '';
        this.Currency = 'MYR';
        this.Amount = 0;
        this.Name = '';
        this.Description = '';
        this.Remarks = '';
        this.PaymentId = payment.PaymentId;
        this.PayForObjectId = objectBeingPaidFor.ObjectId;
        this.PayForObjectType = (0, typeof_1.default)(objectBeingPaidFor);
    }
}
exports.default = PaymentItem;
//# sourceMappingURL=payment-item.js.map