import { ObjectBase } from '@tomei/general';
import PaymentMethodType from '../payment-method-type/payment-method-type';
import { IPaymentMethodTypeAttr } from '../payment-method-type/interfaces/payment-method-type-attr.interface';
export default class PaymentMethod extends ObjectBase {
    MethodId: string;
    Name: string;
    CompanyId: string;
    private static _RepositoryBase;
    private static _PaymentMethodTypeRepository;
    private _DbTransaction;
    private _PaymentMethodTypes;
    constructor(dbTransaction?: any, methodId?: string);
    get ObjectId(): string;
    get ObjectName(): string;
    get TableName(): string;
    get PaymentMethodTypes(): Promise<PaymentMethodType[]>;
    newPaymentMethodType(payload: IPaymentMethodTypeAttr): Promise<any>;
}
