'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_Company', {
      CompanyId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      CompSystemCode: {
        type: Sequelize.STRING(10),
        allowNull: false,
      },
      CompSystemRefId: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      AccSystemCode: {
        type: Sequelize.STRING(10),
        allowNull: false,
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_Company');
  },
};
