'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.createTable('finance_PostHistory', {
      PostId: {
        type: Sequelize.STRING(30),
        primaryKey: true,
        allowNull: false,
      },
      DateTime: {
        type: Sequelize.DATE,
        allowNull: false,
      },
      ItemId: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      ItemType: {
        type: Sequelize.STRING(200),
        allowNull: false,
      },
      ItemValue: {
        type: Sequelize.JSON(),
        allowNull: false,
      },
      PostedById: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
      AccSystemCode: {
        type: Sequelize.STRING(10),
        allowNull: false,
      },
      AccSystemRefId: {
        type: Sequelize.STRING(30),
        allowNull: false,
      },
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('finance_PostHistory');
  },
};
