import { ObjectBase, LoginUserBase } from '@tomei/general';

export interface IAccountAttr {
  AccountNo: string;
  CompanyId: string;
  ParentAccountNo?: string;
  Name: string;
  Description?: string;
  AccountType: string;
  AccountSubType?: string;
  OwnerId?: string;
  OwnerType?: string;
  RelatedObjectId?: string;
  RelatedObjectType?: string;
  CreatedAt: Date;
  CreatedById: string;
  UpdatedAt?: Date;
  UpdatedById?: string;
  AccSystemRefId: string;
  PostedToAccSystemYN: string;
  PostedById?: string;
  PostedDateTime?: Date;
}

export interface ICreateAccountAttr {
  Owner: LoginUserBase;
  RelatedObject?: ObjectBase;
  AccountType?: string;
  AccountSubType?: string;
  ParentAccountNo?: string;
}
