import Payment from '../payment/payment';
import FinanceCustomerBase from '../customer/customer';

export interface IAccountSystem {
  createAccount(payload: any): Promise<any>;
  createInvoice(payload: any): Promise<any>;
  createDebitNote(payload: any): Promise<any>;
  createCreditNote(payload: any): Promise<any>;
  postTransaction(payload: any): Promise<any>;
  createCustomer(payload: any): Promise<any>;
  makePayment(
    customer: FinanceCustomerBase,
    paymentInfo: Payment,
  ): Promise<any>;
  collectPayments(
    customer: FinanceCustomerBase,
    paymentInfo: Payment,
  ): Promise<any>;
  postJournalEntry(payload: any): Promise<any>;
}
